package com.flossom.common.core.enums;

/**
 * 系统设置-key 枚举
 */
public enum CtLeaveMessageEnum {
    MODULE_MY(1, "我的模块");

    private final Integer key;
    private final String remark;

    CtLeaveMessageEnum(Integer key, String remark) {
        this.key = key;
        this.remark = remark;
    }

    public static CtLeaveMessageEnum fromString(Integer text) {
        for (CtLeaveMessageEnum b : CtLeaveMessageEnum.values()) {
            if (b.key == text) {
                return b;
            }
        }
        return null;
    }

    public Integer getKey() {
        return key;
    }

    public String getRemark() {
        return remark;
    }
}
